ZS5.6 reports out as 5.1?

General discussion on Zend Server for IBM System i
kennethlwaston
Posts: 7
Joined: Mon Aug 24, 2009 3:40 pm

Re: ZS5.6 reports out as 5.1?

Post by kennethlwaston » Tue Feb 28, 2012 4:59 pm

I have the same issue. Installed 5.6 using windows installer over 5.0.4.

Display Installed Licensed Programs shows:
2ZSVRPI *INSTALLED Zend Server for IBM i 5.6.0 ( PHP 5.3 )

Zend Server GUI Server info shows Zend Server Version 5.0.4 - PHP Version 5.3.8-ZS5.5.0

Click about at the top right of Zend Server GUI says Version 5.0.4

Everything seems to running OK.

???

bucknum
Posts: 10
Joined: Wed Aug 11, 2010 6:32 pm

Re: ZS5.6 reports out as 5.1?

Post by bucknum » Wed Feb 29, 2012 4:24 pm

I just did a DLTLICPGM and RSTLICPGM to upgrade from 5.0.2 to 5.6. I'm getting 5.1.1 as Zend Server version, and 5.3.8-ZS5.5.0 as PHP version. I'm also missing the new toolkit which is the main reason I upgraded.

aseiden
Posts: 875
Joined: Thu Apr 09, 2009 5:45 pm

Re: ZS5.6 reports out as 5.1?

Post by aseiden » Wed Feb 29, 2012 5:43 pm

The toolkit is in /usr/local/zendsvr/share/ToolkitApi.

For details see viewtopic.php?f=113&t=48783

jjcllhn
Posts: 34
Joined: Tue May 05, 2009 7:15 pm

Re: ZS5.6 reports out as 5.1?

Post by jjcllhn » Tue Mar 06, 2012 5:16 pm

aseiden wrote:The toolkit is in /usr/local/zendsvr/share/ToolkitApi.

For details see viewtopic.php?f=113&t=48783
ToolkitAPI is installed. Like I mentioned earlier, it appears all the ZS5.6 features are there if you install the php5.3 version, but the zend-server.ini is built incorrectly during the install. There may be additional problems, because the help is also not updated to 5.6 (still shows the 5.1 help).

How does one go about verifying that ZS5.6 is installed correctly? Should I report this as an error, even though I'm out of the initial support period?

zend_i5
Posts: 158
Joined: Mon Mar 23, 2009 5:22 pm

Re: ZS5.6 reports out as 5.1?

Post by zend_i5 » Wed Mar 07, 2012 10:40 am

Install Hotfix 2 (http://www.zend.com/en/download/552) to correct some Zend Server 5.6.0 installation inconsistencies. As for Zend Server 5.6.0 documentation, it is up-to-date but it just shows wrong version number 5.1. It is a known issue which will get corrected in the next product release

kennethlwaston
Posts: 7
Joined: Mon Aug 24, 2009 3:40 pm

Re: ZS5.6 reports out as 5.1?

Post by kennethlwaston » Wed Mar 07, 2012 3:53 pm

I applied Hotfix 2 last weekend to see if it would fix this problem. It gave me an error in the QShell environment about a missing ')' so I don't know if it really installed. It says it is applied when I look at "Dsiplay Zend Server PTF status" on the Zend Server menu. It did not fix the issue. Server info and About still show 5.0.4.

jjcllhn
Posts: 34
Joined: Tue May 05, 2009 7:15 pm

Re: ZS5.6 reports out as 5.1?

Post by jjcllhn » Mon Mar 12, 2012 3:43 pm

zend_i5 wrote:Install Hotfix 2 (http://www.zend.com/en/download/552) to correct some Zend Server 5.6.0 installation inconsistencies. As for Zend Server 5.6.0 documentation, it is up-to-date but it just shows wrong version number 5.1. It is a known issue which will get corrected in the next product release
Applied Hotfix2. which seems to have corrected zend-server.ini config values.

The web management console is now reporting out as ZS5.6.

gclare
Posts: 1
Joined: Tue Apr 24, 2012 5:59 am

Re: ZS5.6 reports out as 5.1?

Post by gclare » Tue Apr 24, 2012 6:08 am

Just some further confirmation, in case anyone else is looking to resolve this.

In my case I had a clean SAVF installation of ZS5.6 (no prior installation, or in fact no prior /usr/local directory). After install the LICPGM reported as 5.6 but the Admin site reported 5.1.1 (as noted by others).

On exploring the HOTFIX 2 for Zend Server 5.6.0 I noted it inlcuded an updated /usr/local/zendsvr/gui/application/data/zend-server.ini

A file compare following the HOTFIX application confirmed the only difference applied to this file was the line:
version = 5.1.1
update to:
version = 5.6.0

So this confirms Zend had made an oversight in not updating this INI value.

IMPORTANT: This is not the only fix in HOTFIX 2, so don't think you can just skip the fix by directly editing the INI file!

Post Reply